
<div class="snackBar" *ngIf="error"></div>

<mat-grid-list cols="4" rowHeight="750px">
    
    <mat-grid-tile [colspan]="1" [rowspan]="1"></mat-grid-tile>
    
        <mat-grid-tile [colspan]="2" [rowspan]="1">

            <div *ngIf="isLoading"> 
                <app-loading-spinner></app-loading-spinner>
            </div>

            <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" *ngIf="!isLoading">
            <mat-card class="loginCard">
                <mat-card-header>
                    
                    <mat-card-title>Login</mat-card-title>
                    
                </mat-card-header>

                <mat-card-content>
                    <div class="emailContainer">
                        <mat-form-field appearance="fill">
                          <mat-label>Enter your email</mat-label>
                          <input matInput placeholder="email@example.com" formControlName="email" required>
                          <!-- <mat-error *ngIf="loginForm.controls.email">{{getErrorMessage()}}</mat-error> -->
                        </mat-form-field>
                    </div>

                    <div class="passwordContainer">
                        <mat-form-field appearance="fill">
                        <mat-label>Enter your password</mat-label>
                        <input matInput [type]="hide ? 'password' : 'text'" formControlName="password">
                        <!-- <mat-error *ngIf="!loginForm.controls.password.valid && loginForm.controls.password.dirty">
                            You must fill out the password
                          </mat-error> -->
                        <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide" >
                            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                        </button>
                        </mat-form-field>
                    </div>

                    <div>
                        <button mat-raised-button color="primary" type="submit" [disabled]="!loginForm.valid">Login</button>
                    </div>

                </mat-card-content> 

            </mat-card>
        </form>
        </mat-grid-tile>
    <mat-grid-tile [colspan]="1" [rowspan]="1"></mat-grid-tile>
</mat-grid-list>

